// bz2exports.h
// File author: Bob "BS-er" Stewart
// bser@nycap.rr.com
// DLL scriptor - by Bob "BS-er" Stewart and John "Madcat" Semler

#ifndef _BZ2_EXPORTS
#define _BZ2_EXPORTS 

class BZHandle
{
public:
	HMODULE Handle;
	BZHandle()
	{
		Handle = GetModuleHandle("bzone.exe");
		if (Handle == 0)
		{
			Handle = GetModuleHandle("bz2edit.exe");
		}
	}

	inline operator HMODULE() const { return Handle; }
};

BZHandle BZH;

void (*AddObjective)(char *,long,float) = (void (__cdecl*)(char *,long,float)) GetProcAddress(BZH, "?AddObjective@@YAXPADJM@Z");
void (*AddAmmo)(int,long) = (void (__cdecl*)(int,long)) GetProcAddress(BZH, "?AddAmmo@@YAXHJ@Z");
void (*AddHealth)(int,long) = (void (__cdecl*)(int,long)) GetProcAddress(BZH, "?AddHealth@@YAXHJ@Z");
void (*AddIdleAnim)(int,char *) = (void (__cdecl*)(int,char *)) GetProcAddress(BZH, "?AddIdleAnim@@YAXHPAD@Z");
void (*AddKills)(int,int) = (void (__cdecl*)(int,int)) GetProcAddress(BZH, "?AddKills@@YAXHH@Z");
void (*AddPilotByHandle)(int) = (void (__cdecl*)(int)) GetProcAddress(BZH, "?AddPilotByHandle@@YAXH@Z");
void (*AllLookAt)(int,int,int) = (void (__cdecl*)(int,int,int)) GetProcAddress(BZH, "?AllLookAt@@YAXHHH@Z");
void (*Ally)(int,int) = (void (__cdecl*)(int,int)) GetProcAddress(BZH, "?Ally@@YAXHH@Z");
int (*AtTerminal)(int) = (int (__cdecl*)(int)) GetProcAddress(BZH, "?AtTerminal@@YAHH@Z");
void (*Attack)(int,int,int) = (void (__cdecl*)(int,int,int)) GetProcAddress(BZH, "?Attack@@YAXHHH@Z");
int (*AudioMessage)(char const *,bool) = (int (__cdecl*)(char const *,bool)) GetProcAddress(BZH, "?AudioMessage@@YAHPBD_N@Z");
void (*Build)(int,char *,int) = (void (__cdecl*)(int,char *,int)) GetProcAddress(BZH, "?Build@@YAXHPADH@Z");
int (*BuildObjectP)(char *,int,char *) = (int (__cdecl*)(char *,int,char *)) GetProcAddress(BZH, "?BuildObject@@YAHPADH0@Z");
int (*BuildObjectM)(char *,int, Matrix &) = (int (__cdecl*)(char *,int, Matrix &)) GetProcAddress(BZH, "?BuildObject@@YAHPADHAAUMatrix@@@Z");
int (*BuildObjectV)(char *,int, Vector &) = (int (__cdecl*)(char *,int, Vector &)) GetProcAddress(BZH, "?BuildObject@@YAHPADHAAUVector@@@Z");
bool (*CameraCancelled)(void) = (bool (__cdecl*)(void)) GetProcAddress(BZH, "?CameraCancelled@@YA_NXZ");
bool (*CameraFinish)(void) = (bool (__cdecl*)(void)) GetProcAddress(BZH, "?CameraFinish@@YA_NXZ");
bool (*CameraObject)(int,float,float,float,int) = (bool (__cdecl*)(int,float,float,float,int)) GetProcAddress(BZH, "?CameraObject@@YA_NHMMMH@Z");
bool (*CameraPath)(char *,int,int,int) = (bool (__cdecl*)(char *,int,int,int)) GetProcAddress(BZH, "?CameraPath@@YA_NPADHHH@Z");
bool (*CameraPathDir)(char *,int,int) = (bool (__cdecl*)(char *,int,int)) GetProcAddress(BZH, "?CameraPathDir@@YA_NPADHH@Z");
bool (*CameraReady)(void) = (bool (__cdecl*)(void)) GetProcAddress(BZH, "?CameraReady@@YA_NXZ");
void (*ClearNoScrapFlagByHandle)(int) = (void (__cdecl*)(int)) GetProcAddress(BZH, "?ClearNoScrapFlagByHandle@@YAXH@Z");
void (*ClearObjectives)(void) = (void (__cdecl*)(void)) GetProcAddress(BZH, "?ClearObjectives@@YAXXZ");
void (*ClearTeamColor)(int) = (void (__cdecl*)(int)) GetProcAddress(BZH, "?ClearTeamColor@@YAXH@Z");
void (*ConvertHandles)(int *,int) = (void (__cdecl*)(int *,int)) GetProcAddress(BZH, "?ConvertHandles@@YAXPAHH@Z");
int (*CountUnitsNearObject)(int,float,int,char *) = (int (__cdecl*)(int,float,int,char *)) GetProcAddress(BZH, "?CountUnitsNearObject@@YAHHMHPAD@Z");
void (*Damage)(int,long) = (void (__cdecl*)(int,long)) GetProcAddress(BZH, "?Damage@@YAXHJ@Z");
void (*Defend2)(int,int,int) = (void (__cdecl*)(int,int,int)) GetProcAddress(BZH, "?Defend2@@YAXHHH@Z");
void (*Deploy)(int) = (void (__cdecl*)(int)) GetProcAddress(BZH, "?Deploy@@YAXH@Z");
void (*Dropoff)(int,char *,int) = (void (__cdecl*)(int,char *,int)) GetProcAddress(BZH, "?Dropoff@@YAXHPADH@Z");
void (*EjectPilot)(int) = (void (__cdecl*)(int)) GetProcAddress(BZH, "?EjectPilot@@YAXH@Z");
void (*Follow)(int,int,int) = (void (__cdecl*)(int,int,int)) GetProcAddress(BZH, "?Follow@@YAXHHH@Z");
bool (*FreeCamera)(void) = (bool (__cdecl*)(void)) GetProcAddress(BZH, "?FreeCamera@@YA_NXZ");
bool (*FreeFinish)(void) = (bool (__cdecl*)(void)) GetProcAddress(BZH, "?FreeFinish@@YA_NXZ");
float (*GetAmmo)(int) = (float (__cdecl*)(int)) GetProcAddress(BZH, "?GetAmmo@@YAMH@Z");
void (*GetCameraPosition)(Vector &,Vector &) = (void (__cdecl*)(Vector &,Vector &)) GetProcAddress(BZH, "?GetCameraPosition@@YAXAAUVector@@0@Z");
long (*GetCockpitTimer)(void) = (long (__cdecl*)(void)) GetProcAddress(BZH, "?GetCockpitTimer@@YAJXZ");
long (*GetCurAmmo)(int) = (long (__cdecl*)(int)) GetProcAddress(BZH, "?GetCurAmmo@@YAJH@Z");
long (*GetCurHealth)(int) = (long (__cdecl*)(int)) GetProcAddress(BZH, "?GetCurHealth@@YAJH@Z");
AiCommand (*GetCurrentCommand)(int) = (AiCommand (__cdecl*)(int)) GetProcAddress(BZH, "?GetCurrentCommand@@YA?AW4AiCommand@@H@Z");
int (*GetCurrentWho)(int) = (int (__cdecl*)(int)) GetProcAddress(BZH, "?GetCurrentWho@@YAHH@Z");
int (*GetFirstEmptyGroup)(void) = (int (__cdecl*)(void)) GetProcAddress(BZH, "?GetFirstEmptyGroup@@YAHXZ");
void (*GetFrontV)(int, Vector &) = (void (__cdecl*)(int,Vector &)) GetProcAddress(BZH, "?GetFront@@YAXHAAUVector@@@Z");
int (*GetHandle)(int) = (int (__cdecl*)(int)) GetProcAddress(BZH, "?GetHandle@@YAHH@Z");
int (*GetHandleN)(char *) = (int (__cdecl*)(char *)) GetProcAddress(BZH, "?GetHandle@@YAHPAD@Z");
float (*GetHealth)(int) = (float (__cdecl*)(int)) GetProcAddress(BZH, "?GetHealth@@YAMH@Z");
void (*GetIn)(int,int,int) = (void (__cdecl*)(int,int,int)) GetProcAddress(BZH, "?GetIn@@YAXHHH@Z");
int (*GetInstantCompForce)(void) = (int (__cdecl*)(void)) GetProcAddress(BZH, "?GetInstantCompForce@@YAHXZ");
int (*GetInstantDifficulty)(void) = (int (__cdecl*)(void)) GetProcAddress(BZH, "?GetInstantDifficulty@@YAHXZ");
int (*GetInstantMyForce)(void) = (int (__cdecl*)(void)) GetProcAddress(BZH, "?GetInstantMyForce@@YAHXZ");
int (*GetInstantMySide)(void) = (int (__cdecl*)(void)) GetProcAddress(BZH, "?GetInstantMySide@@YAHXZ");
int (*GetInstantType)(void) = (int (__cdecl*)(void)) GetProcAddress(BZH, "?GetInstantType@@YAHXZ");
long (*GetMaxAmmo)(int) = (long (__cdecl*)(int)) GetProcAddress(BZH, "?GetMaxAmmo@@YAJH@Z");
long (*GetMaxHealth)(int) = (long (__cdecl*)(int)) GetProcAddress(BZH, "?GetMaxHealth@@YAJH@Z");
int (*GetObjectByTeamSlot)(int,int) = (int (__cdecl*)(int,int)) GetProcAddress(BZH, "?GetObjectByTeamSlot@@YAHHH@Z");
int (*GetPlayerHandle)(void) = (int (__cdecl*)(void)) GetProcAddress(BZH, "?GetPlayerHandle@@YAHXZ");
void (*GetPosition2)(int,Vector &) = (void (__cdecl*)(int,Vector &)) GetProcAddress(BZH, "?GetPosition2@@YAXHAAUVector@@@Z");
void (*GetPositionM)(int,Matrix &) = (void (__cdecl*)(int,struct Matrix &)) GetProcAddress(BZH, "?GetPosition@@YAXHAAUMatrix@@@Z");
void (*GetPositionV)(int,Vector &) = (void (__cdecl*)(int,Vector &)) GetProcAddress(BZH, "?GetPosition@@YAXHAAUVector@@@Z");
char (*GetRace)(int) = (char (__cdecl*)(int)) GetProcAddress(BZH, "?GetRace@@YADH@Z");
float (*GetRandomFloat)(float) = (float (__cdecl*)(float)) GetProcAddress(BZH, "?GetRandomFloat@@YAMM@Z");
int (*GetTeamNum)(int) = (int (__cdecl*)(int)) GetProcAddress(BZH, "?GetTeamNum@@YAHH@Z");
int (*GetUserTarget)(void) = (int (__cdecl*)(void)) GetProcAddress(BZH, "?GetUserTarget@@YAHXZ");
Vector (*GetVelocity)(int) = (Vector (__cdecl*)(int)) GetProcAddress(BZH, "?GetVelocity@@YA?AUVector@@H@Z");
int (*GetWhoShotMe)(int) = (int (__cdecl*)(int))GetProcAddress(BZH, "?GetWhoShotMe@@YAHH@Z");
void (*GiveWeapon)(int,char *) = (void (__cdecl*)(int,char *)) GetProcAddress(BZH, "?GiveWeapon@@YAXHPAD@Z");
void (*Goto)(int,int,int) = (void (__cdecl*)(int,int,int)) GetProcAddress(BZH, "?Goto@@YAXHHH@Z");
void (*GotoP)(int,char *,int) = (void (__cdecl*)(int,char *,int)) GetProcAddress(BZH, "?Goto@@YAXHPADH@Z");
void (*HideCockpitTimer)(void) = (void (__cdecl*)(void)) GetProcAddress(BZH, "?HideCockpitTimer@@YAXXZ");
void (*HopOut)(int) = (void (__cdecl*)(int)) GetProcAddress(BZH, "?HopOut@@YAXH@Z");
int (*HoppedOutOf)(int) = (int (__cdecl*)(int)) GetProcAddress(BZH, "?HoppedOutOf@@YAHH@Z");
void (*IFace_Activate)(char *) = (void (__cdecl*)(char *)) GetProcAddress(BZH, "?IFace_Activate@@YAXPAD@Z");
void (*IFace_AddTextItem)(char *,char *) = (void (__cdecl*)(char *,char *)) GetProcAddress(BZH, "?IFace_AddTextItem@@YAXPAD0@Z");
void (*IFace_ClearListBox)(char *) = (void (__cdecl*)(char *)) GetProcAddress(BZH, "?IFace_ClearListBox@@YAXPAD@Z");
void (*IFace_CreateCommand)(char *) = (void (__cdecl*)(char *)) GetProcAddress(BZH, "?IFace_CreateCommand@@YAXPAD@Z");
void (*IFace_CreateFloat)(char *,float) = (void (__cdecl*)(char *,float)) GetProcAddress(BZH, "?IFace_CreateFloat@@YAXPADM@Z");
void (*IFace_CreateInteger)(char *,int) = (void (__cdecl*)(char *,int)) GetProcAddress(BZH, "?IFace_CreateInteger@@YAXPADH@Z");
void (*IFace_CreateString)(char *,char *) = (void (__cdecl*)(char *,char *)) GetProcAddress(BZH, "?IFace_CreateString@@YAXPAD0@Z");
void (*IFace_Deactivate)(char *) = (void (__cdecl*)(char *)) GetProcAddress(BZH, "?IFace_Deactivate@@YAXPAD@Z");
void (*IFace_Exec)(char *) = (void (__cdecl*)(char *)) GetProcAddress(BZH, "?IFace_Exec@@YAXPAD@Z");
float (*IFace_GetFloat)(char *) = (float (__cdecl*)(char *)) GetProcAddress(BZH, "?IFace_GetFloat@@YAMPAD@Z");
int (*IFace_GetInteger)(char *) = (int (__cdecl*)(char *)) GetProcAddress(BZH, "?IFace_GetInteger@@YAHPAD@Z");
void (*IFace_GetSelectedItem)(char *,char *,int) = (void (__cdecl*)(char *,char *,int)) GetProcAddress(BZH, "?IFace_GetSelectedItem@@YAXPAD0H@Z");
void (*IFace_GetString)(char *,char *,int) = (void (__cdecl*)(char *,char *,int)) GetProcAddress(BZH, "?IFace_GetString@@YAXPAD0H@Z");
void (*IFace_SetFloat)(char *,float) = (void (__cdecl*)(char *,float)) GetProcAddress(BZH, "?IFace_SetFloat@@YAXPADM@Z");
void (*IFace_SetInteger)(char *,int) = (void (__cdecl*)(char *,int)) GetProcAddress(BZH, "?IFace_SetInteger@@YAXPADH@Z");
void (*IFace_SetString)(char *,char *) = (void (__cdecl*)(char *,char *)) GetProcAddress(BZH, "?IFace_SetString@@YAXPAD0@Z");
int (*InBuilding)(int) = (int (__cdecl*)(int)) GetProcAddress(BZH, "?InBuilding@@YAHH@Z");
bool (*IsAliveAndPilot)(int &) = (bool (__cdecl*)(int &)) GetProcAddress(BZH, "?IsAliveAndPilot@@YA_NAAH@Z");
bool (*IsAlly)(int,int) = (bool (__cdecl*)(int,int)) GetProcAddress(BZH, "?IsAlly@@YA_NHH@Z");
bool (*IsAround)(int) = (bool (__cdecl*)(int)) GetProcAddress(BZH, "?IsAround@@YA_NH@Z");
bool (*IsDeployed)(int) = (bool (__cdecl*)(int)) GetProcAddress(BZH, "?IsDeployed@@YA_NH@Z");
bool (*IsFlying)(int &) = (bool (__cdecl*)(int &)) GetProcAddress(BZH, "?IsFlying@@YA_NAAH@Z");
bool (*IsInfo)(char *) = (bool (__cdecl*)(char *)) GetProcAddress(BZH, "?IsInfo@@YA_NPAD@Z");
bool (*IsOdf)(int,char *) = (bool (__cdecl*)(int,char *))GetProcAddress(BZH, "?IsOdf@@YA_NHPAD@Z");
bool (*IsPerson)(int) = (bool (__cdecl*)(int)) GetProcAddress(BZH, "?IsPerson@@YA_NH@Z");
bool (*IsPlayer)(int) = (bool (__cdecl*)(int)) GetProcAddress(BZH, "?IsPlayer@@YA_NH@Z");
bool (*IsSelected)(int) = (bool (__cdecl*)(int))GetProcAddress(BZH, "?IsSelected@@YA_NH@Z");
bool (*IsWithin)(int &,int &,float) = (bool (__cdecl*)(int &,int &,float))GetProcAddress(BZH, "?IsWithin@@YA_NAAH0M@Z");
void (*KillPilot)(int) = (void (__cdecl*)(int)) GetProcAddress(BZH, "?KillPilot@@YAXH@Z");
void (*LookAt)(int,int,int) = (void (__cdecl*)(int,int,int)) GetProcAddress(BZH, "?LookAt@@YAXHHH@Z");
void (*Mine)(int,char *,int) = (void (__cdecl*)(int,char *,int)) GetProcAddress(BZH, "?Mine@@YAXHPADH@Z");
void (*Patrol)(int,char *,int) = (void (__cdecl*)(int,char *,int)) GetProcAddress(BZH, "?Patrol@@YAXHPADH@Z");
void (*Pickup)(int,int,int) = (void (__cdecl*)(int,int,int)) GetProcAddress(BZH, "?Pickup@@YAXHHH@Z");
bool (*PlayMovie)(char * const) = (bool (__cdecl*)(char * const)) GetProcAddress(BZH, "?PlayMovie@@YA_NQAD@Z");
bool (*PlaybackVehicle)(char * const) = (bool (__cdecl*)(char * const))GetProcAddress(BZH, "?PlaybackVehicle@@YA_NQAD@Z");
void (*PreloadAudioMessage)(char const *) = (void (__cdecl*)(char const *)) GetProcAddress(BZH, "?PreloadAudioMessage@@YAXPBD@Z");
void (*PreloadODF)(char *) = (void (__cdecl*)(char *)) GetProcAddress(BZH, "?PreloadODF@@YAXPAD@Z");
void (*PrintConsoleMessage)(char *) = (void (__cdecl*)(char *)) GetProcAddress(BZH, "?PrintConsoleMessage@@YAXPAD@Z");
bool (*ReadI)(int *,int) = (bool (__cdecl*)(int *,int)) GetProcAddress(BZH, "?Read@@YA_NPAHH@Z");
bool (*ReadF)(float *,int) = (bool (__cdecl*)(float *,int)) GetProcAddress(BZH, "?Read@@YA_NPAMH@Z");
bool (*ReadV)(void *,int) = (bool (__cdecl*)(void *,int)) GetProcAddress(BZH, "?Read@@YA_NPAXH@Z");
bool (*ReadB)(bool *,int) = (bool (__cdecl*)(bool *,int)) GetProcAddress(BZH, "?Read@@YA_NPA_NH@Z");
void (*RemoveBirds)(int) = (void (__cdecl*)(int)) GetProcAddress(BZH, "?RemoveBirds@@YAXH@Z");
void (*RemoveObject)(int) = (void (__cdecl*)(int)) GetProcAddress(BZH, "?RemoveObject@@YAXH@Z");
void (*Retreat)(int,int,int) = (void (__cdecl*)(int,int,int)) GetProcAddress(BZH, "?Retreat@@YAXHHH@Z");
void (*RetreatP)(int,char *,int) = (void (__cdecl*)(int,char *,int)) GetProcAddress(BZH, "?Retreat@@YAXHPADH@Z");
void (*Service)(int,int,int) = (void (__cdecl*)(int,int,int)) GetProcAddress(BZH, "?Service@@YAXHHH@Z");
float (*SetAnimation)(int,char *,int) = (float (__cdecl*)(int,char *,int)) GetProcAddress(BZH, "?SetAnimation@@YAMHPADH@Z");
void (*SetAsUser)(int,int) = (void (__cdecl*)(int,int)) GetProcAddress(BZH, "?SetAsUser@@YAXHH@Z");
void (*SetCameraPosition)(Vector const &,Vector const &) = (void (__cdecl*)(Vector const &,Vector const &)) GetProcAddress(BZH, "?SetCameraPosition@@YAXABUVector@@0@Z");
void (*SetCircularPos)(Vector const &,float,float,Vector &) = (void (__cdecl*)(Vector const &,float,float,Vector &)) GetProcAddress(BZH, "?SetCircularPos@@YAXABUVector@@MMAAU1@@Z");
void (*SetColorFade)(float,float,unsigned long) = (void (__cdecl*)(float,float,unsigned long))GetProcAddress(BZH, "?SetColorFade@@YAXMMK@Z");
void (*SetControls)(int,struct VehicleControls const &,unsigned long) = (void (__cdecl*)(int,struct VehicleControls const &,unsigned long)) GetProcAddress(BZH, "?SetControls@@YAXHABUVehicleControls@@K@Z");
void (*SetCurAmmo)(int,long) = (void (__cdecl*)(int,long)) GetProcAddress(BZH, "?SetCurAmmo@@YAXHJ@Z");
void (*SetCurHealth)(int,long) = (void (__cdecl*)(int,long)) GetProcAddress(BZH, "?SetCurHealth@@YAXHJ@Z");
void (*SetGroup)(int,int) = (void (__cdecl*)(int,int)) GetProcAddress(BZH, "?SetGroup@@YAXHH@Z");
void (*SetIndependence)(int,int) = (void (__cdecl*)(int,int)) GetProcAddress(BZH, "?SetIndependence@@YAXHH@Z");
void (*SetMaxAmmo)(int,long) = (void (__cdecl*)(int,long)) GetProcAddress(BZH, "?SetMaxAmmo@@YAXHJ@Z");
void (*SetMaxHealth)(int,long) = (void (__cdecl*)(int,long)) GetProcAddress(BZH, "?SetMaxHealth@@YAXHJ@Z");
void (*SetNoScrapFlagByHandle)(int) = (void (__cdecl*)(int)) GetProcAddress(BZH, "?SetNoScrapFlagByHandle@@YAXH@Z");
void (*SetObjectiveName)(int,char *) = (void (__cdecl*)(int,char *)) GetProcAddress(BZH, "?SetObjectiveName@@YAXHPAD@Z");
void (*SetObjectiveOff)(int) = (void (__cdecl*)(int)) GetProcAddress(BZH, "?SetObjectiveOff@@YAXH@Z");
void (*SetObjectiveOn)(int) = (void (__cdecl*)(int)) GetProcAddress(BZH, "?SetObjectiveOn@@YAXH@Z");
void (*SetPerceivedTeam)(int,int) = (void (__cdecl*)(int,int)) GetProcAddress(BZH, "?SetPerceivedTeam@@YAXHH@Z");
void (*SetPlan)(char *,int) = (void (__cdecl*)(char *,int)) GetProcAddress(BZH, "?SetPlan@@YAXPADH@Z");
void (*SetPositionM)(int,Matrix &) = (void (__cdecl*)(int,Matrix &)) GetProcAddress(BZH, "?SetPosition@@YAXHAAUMatrix@@@Z");
void (*SetPositionP)(int,char *) = (void (__cdecl*)(int,char *)) GetProcAddress(BZH, "?SetPosition@@YAXHPAD@Z");
void (*SetSkill)(int,int) = (void (__cdecl*)(int,int)) GetProcAddress(BZH, "?SetSkill@@YAXHH@Z");
void (*SetTeamColor)(int,int,int,int) = (void (__cdecl*)(int,int,int,int)) GetProcAddress(BZH, "?SetTeamColor@@YAXHHHH@Z");
void (*SetTeamNum)(int,int) = (void (__cdecl*)(int,int)) GetProcAddress(BZH, "?SetTeamNum@@YAXHH@Z");
void (*SetUserTarget)(int) = (void (__cdecl*)(int)) GetProcAddress(BZH, "?SetUserTarget@@YAXH@Z");
void (*SetVectorPosition)(int,Vector) = (void (__cdecl*)(int,Vector)) GetProcAddress(BZH, "?SetVectorPosition@@YAXHUVector@@@Z");
void (*SetVelocity)(int,Vector const &) = (void (__cdecl*)(int,Vector const &)) GetProcAddress(BZH, "?SetVelocity@@YAXHABUVector@@@Z");
void (*SetWeaponMask)(int,long) = (void (__cdecl*)(int,long)) GetProcAddress(BZH, "?SetWeaponMask@@YAXHJ@Z");
void (*SpawnBirds)(int,int,char *,int,char *) = (void (__cdecl*)(int,int,char *,int,char *)) GetProcAddress(BZH, "?SpawnBirds@@YAXHHPADH0@Z");
void (*StartAnimation)(int) = (void (__cdecl*)(int)) GetProcAddress(BZH, "?StartAnimation@@YAXH@Z");
void (*StartCockpitTimer)(long,long,long) = (void (__cdecl*)(long,long,long)) GetProcAddress(BZH, "?StartCockpitTimer@@YAXJJJ@Z");
void (*StartCockpitTimerUp)(long,long,long) = (void (__cdecl*)(long,long,long)) GetProcAddress(BZH, "?StartCockpitTimerUp@@YAXJJJ@Z");
void (*StartEarthQuake)(float) = (void (__cdecl*)(float)) GetProcAddress(BZH, "?StartEarthQuake@@YAXM@Z");
int (*StartSoundEffect)(char const *,int) = (int (__cdecl*)(char const *,int)) GetProcAddress(BZH, "?StartSoundEffect@@YAHPBDH@Z");
void (*Stop)(int,int) = (void (__cdecl*)(int,int)) GetProcAddress(BZH, "?Stop@@YAXHH@Z");
void (*StopCockpitTimer)(void) = (void (__cdecl*)(void)) GetProcAddress(BZH, "?StopCockpitTimer@@YAXXZ");
void (*StopEarthQuake)(void) = (void (__cdecl*)(void)) GetProcAddress(BZH, "?StopEarthQuake@@YAXXZ");
void (*StopSoundEffect)(int) = (void (__cdecl*)(int)) GetProcAddress(BZH, "?StopSoundEffect@@YAXH@Z");
float (*TerrainFindFloor)(float,float) = (float (__cdecl*)(float,float)) GetProcAddress(BZH, "?TerrainFindFloor@@YAMMM@Z");
void (*UnAlly)(int,int) = (void (__cdecl*)(int,int)) GetProcAddress(BZH, "?UnAlly@@YAXHH@Z");
void (*UpdateEarthQuake)(float) = (void (__cdecl*)(float)) GetProcAddress(BZH, "?UpdateEarthQuake@@YAXM@Z");
bool (*WriteI)(int *,int) = (bool (__cdecl*)(int *,int)) GetProcAddress(BZH, "?Write@@YA_NPAHH@Z");
bool (*WriteF)(float *,int) = (bool (__cdecl*)(float *,int)) GetProcAddress(BZH, "?Write@@YA_NPAMH@Z");
bool (*WriteV)(void *,int) = (bool (__cdecl*)(void *,int)) GetProcAddress(BZH, "?Write@@YA_NPAXH@Z");
bool (*WriteB)(bool *,int) = (bool (__cdecl*)(bool *,int)) GetProcAddress(BZH, "?Write@@YA_NPA_NH@Z");

// -------------------------------------------------------------------
// Functions added after 1.3pb1. Do NOT call these functions with 1.2/1.3pb1

void (*IFace_ConsoleCmd)(const char *, bool) = (void (__cdecl*)(const char *, bool)) GetProcAddress(BZH, "?IFace_ConsoleCmd@@YAXPBD_N@Z");
bool (*GetObjInfo)(int, ObjectInfoType, char*) = (bool (__cdecl*)(int, ObjectInfoType type, char*)) GetProcAddress(BZH, "?GetObjInfo@@YA_NHW4ObjectInfoType@@QAD@Z");
bool (*DoesODFExist)(char *) = (bool (__cdecl*)(char *)) GetProcAddress(BZH, "?DoesODFExist@@YA_NPAD@Z");

inline Vector GetPosition(Handle h)
{
	Vector v;
	GetPositionV(h, v);
	return v;
}


inline Vector GetFront(Handle h)
{
	Vector v;
	GetFrontV(h, v);
	return v;
}

#endif
